org.omg.CORBA

## Interface DynEnum

All Superinterfaces:
  DynAny, Object

Deprecated.
Use the new DynEnum instead

    @Deprecated
    public interface DynEnum
    extends Object, DynAny

Represents a `DynAny` object associated with an IDL enum.

### Method Summary

Methods
`String` `value_as_string()` Deprecated. Return the value of the IDL enum stored in this `DynEnum` as a string.
`void` `value_as_string(String arg)` Deprecated. Set a particular enum in this `DynEnum`.
`int` `value_as_ulong()` Deprecated. Return the value of the IDL enum as a Java int.
`void` `value_as_ulong(int arg)` Deprecated. Set the value of the IDL enum.

### Methods inherited from interface org.omg.CORBA.DynAny

`assign, copy, current_component, destroy, from_any, get_any, get_boolean, get_char, get_double, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

### Method Detail

#### value_as_string

    String value_as_string()

Deprecated.
Return the value of the IDL enum stored in this `DynEnum` as a string.

Returns:
  the stringified value.

#### value_as_string

    void value_as_string(String arg)

Deprecated.
Set a particular enum in this `DynEnum`.

Parameters:
  `arg` - the string corresponding to the value.

#### value_as_ulong

    int value_as_ulong()

Deprecated.
Return the value of the IDL enum as a Java int.

Returns:
  the integer value.

#### value_as_ulong

    void value_as_ulong(int arg)

Deprecated.
Set the value of the IDL enum.

Parameters:
  `arg` - the int value of the enum.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.